package com.qs.mp.channel.service;

import com.qs.mp.channel.domain.Channel;
import com.qs.mp.channel.domain.vo.ChannelVO;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 渠道经销商 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface IChannelService extends IService<Channel> {

	/**
	 * 获取我的下级渠道列表信息，支持翻页
	 * 
	 * @param channel
	 * @return
	 */
	public List<ChannelVO> selectVoList(Channel channel);

	/**
	 * 根据用户ID查询渠道
	 * 
	 * @param userId
	 * @return
	 */
	Channel getChannelByUserId(Long userId);
}
